Package org.jfree.layouting.output

## Class OutputProcessorFeature

- java.lang.Object
- - org.jfree.layouting.output.OutputProcessorFeature

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `OutputProcessorFeature.BooleanOutputProcessorFeature`, `OutputProcessorFeature.NumericOutputProcessorFeature`

      public abstract class OutputProcessorFeature
      extends java.lang.Object
      implements java.io.Serializable

  Creation-Date: 14.12.2005, 13:47:47
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `OutputProcessorFeature.BooleanOutputProcessorFeature` |
    `static class` | `OutputProcessorFeature.NumericOutputProcessorFeature` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static OutputProcessorFeature.BooleanOutputProcessorFeature` | `BACKGROUND_IMAGE` | Defines, whether the output target allows background images.
    `static OutputProcessorFeature.NumericOutputProcessorFeature` | `DEFAULT_FONT_SIZE` |
    `static OutputProcessorFeature.NumericOutputProcessorFeature` | `DEVICE_RESOLUTION` | Defines the device resolution in Pixel-per-inch.
    `static OutputProcessorFeature.BooleanOutputProcessorFeature` | `FONT_FRACTIONAL_METRICS` | Defines, whether the output uses fractional metrics.
    `static OutputProcessorFeature.NumericOutputProcessorFeature` | `FONT_SMOOTH_THRESHOLD` | Defines the minimum size for the font smoothing.
    `static OutputProcessorFeature.BooleanOutputProcessorFeature` | `FONT_SUPPORTS_ANTI_ALIASING` | Defines, whether the output target allows the configuration of anti-aliasing of fonts.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `OutputProcessorFeature​(java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `hashCode​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BACKGROUND_IMAGE

          public static final OutputProcessorFeature.BooleanOutputProcessorFeature BACKGROUND_IMAGE

      Defines, whether the output target allows background images. The 'excel' export and the plain-text export are known to ignore background images.

    - #### FONT_FRACTIONAL_METRICS

          public static final OutputProcessorFeature.BooleanOutputProcessorFeature FONT_FRACTIONAL_METRICS

      Defines, whether the output uses fractional metrics. Integer metrics might be faster, but they are also inaccurate.

    - #### FONT_SUPPORTS_ANTI_ALIASING

          public static final OutputProcessorFeature.BooleanOutputProcessorFeature FONT_SUPPORTS_ANTI_ALIASING

      Defines, whether the output target allows the configuration of anti-aliasing of fonts.

      The Graphics2D is one of the targets that support this feature, while the PDF-export ignores aliasing requests.

    - #### FONT_SMOOTH_THRESHOLD

          public static final OutputProcessorFeature.NumericOutputProcessorFeature FONT_SMOOTH_THRESHOLD

      Defines the minimum size for the font smoothing. Fonts below that size will not have aliasing enabled, as this may render the font unreadable.

    - #### DEVICE_RESOLUTION

          public static final OutputProcessorFeature.NumericOutputProcessorFeature DEVICE_RESOLUTION

      Defines the device resolution in Pixel-per-inch. This is a hint to make scaling of images more effective. LibLayout still uses the default 72dpi resolution defined by Java for all computations.

    - #### DEFAULT_FONT_SIZE

          public static final OutputProcessorFeature.NumericOutputProcessorFeature DEFAULT_FONT_SIZE

  - ### Constructor Detail

    - #### OutputProcessorFeature

          protected OutputProcessorFeature​(java.lang.String name)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`